## org.apache.batik.util
Class SoftDoublyIndexedTable.Entry

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.apache.batik.util.SoftDoublyIndexedTable.Entry

Enclosing class:
  SoftDoublyIndexedTable

protected class SoftDoublyIndexedTable.Entry
extends java.lang.ref.SoftReference

To manage collisions

Field Summary
`int` `hash` The hash code
`java.lang.Object` `key1` The first key
`java.lang.Object` `key2` The second key
`SoftDoublyIndexedTable.Entry` `next` The next entry

Constructor Summary
`SoftDoublyIndexedTable.Entry(int hash, java.lang.Object key1, java.lang.Object key2, java.lang.Object value, SoftDoublyIndexedTable.Entry next)` Creates a new entry

Method Summary
`boolean` `match(java.lang.Object o1, java.lang.Object o2)` Whether this entry match the given keys.

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key1

    public java.lang.Object key1

  The first key

### key2

    public java.lang.Object key2

  The second key

### next

    public SoftDoublyIndexedTable.Entry next

  The next entry

Constructor Detail

### SoftDoublyIndexedTable.Entry

    public SoftDoublyIndexedTable.Entry(int hash,
                                        java.lang.Object key1,
                                        java.lang.Object key2,
                                        java.lang.Object value,
                                        SoftDoublyIndexedTable.Entry next)

  Creates a new entry

Method Detail

### match

    public boolean match(java.lang.Object o1,
                         java.lang.Object o2)

  Whether this entry match the given keys.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.